@echo off
rem 05-11-2002 JvW Updated for executable naming DFSOS2, DFSWIN and DFSDOS
rem 09-08-2016 JvW Use 'dfsrunas.exe' to elevate Windows to admin, ignoring explicit window sizes
echo.

if "%OS%"==""        goto notnt
if "%OS%"=="DOS"     goto notnt
if "%OS%"=="MSDOS"   goto notnt
if "%OS%"=="DRDOS"   goto notnt
if "%OS%"=="IBMDOS"  goto notnt
if "%OS%"=="OPENDOS" goto notnt

ver | findstr /i /C:"XP [" > nul
if %errorlevel% EQU 0 goto winxpnt
ver | findstr /i /C:"Version 5" > nul
if %errorlevel% EQU 0 goto winxpnt
ver | findstr /i /C:"NT [" > nul
if %errorlevel% EQU 0 goto winxpnt
ver | findstr /i /C:"Version 4" > nul
if %errorlevel% EQU 0 goto winxpnt

set dfsexe=dfsrunas dfswin.exe
goto dfsee

:winxpnt
set dfsexe=dfswin.exe
goto dfsee

:notnt
set dfsexe=dfsdos.exe
:dfsee
set cmdext=BAT

if "%1"=="" goto noparam
set dfslog=%1
goto endparam
:noparam
set dfslog=dfsquick
:endparam

if exist %dfslog%.log del %dfslog%.log > NUL
echo.
echo Quick collecting info into %dfslog%.log
%dfsexe% -7 -a -b -q -Q -l:%dfslog% fdisk -m#map * +#part -e -n#part -V -a -c
echo.
echo done
